<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="serverEnsembleResource">
	<systemPool>
		<xsl:attribute name="uri">
			<xsl:value-of select="@uri"/>
		</xsl:attribute>	
		<xsl:variable name="uri">
     		<xsl:value-of select="@uri"/>
		</xsl:variable> 		
		<xsl:for-each select="/serverEnsembleResource/*">
			<xsl:choose>
				<!--  For the Northbound API I don't think so -->
				<xsl:when test="name() = 'properties'">
					<!-- Ignore -->
				</xsl:when>				
				<xsl:when test="name() = 'supportedProperties'">
					<!-- Ignore -->
				</xsl:when>															
				<xsl:when test="name() = 'hosts'">
					<!-- Ignore -->
				</xsl:when>		
				<xsl:when test="name() = 'workloadId'">
				    <!--  Ignore -->
				</xsl:when>									
				<xsl:when test="name() = 'workloads'">
					<!-- Ignore: In ServerEnsembleResource getWorkloads() actually returns null 
					     but that is fine since we just care for the link in this XML element -->
				</xsl:when>															
				<xsl:when test="name() = 'deployedVirtualSystemCollections'">
<!--					<workloads>-->
<!--						<xsl:attribute name="uri">-->
<!--							<xsl:value-of select="$uri"/><xsl:text>/workloads</xsl:text>-->
<!--						</xsl:attribute>	-->
<!--					</workloads>				-->
				</xsl:when>
				<xsl:when test="name() = 'stats'">
					<stats>
						<!-- In ServerEnsembleResource getStats() actually returns null 
					     but that is fine since we just care for the link in this XML element -->
						<xsl:attribute name="uri">
							<xsl:value-of select="$uri"/><xsl:text>/stats</xsl:text>
						</xsl:attribute>	
					</stats>				
				</xsl:when>				
				<xsl:otherwise>
					<xsl:element name="{name()}">
						<xsl:value-of select="."/>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>	
	</systemPool>
</xsl:template>

</xsl:stylesheet>