<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="workloadResource">
	<workload>
		<!-- Set URI attribute -->
		<xsl:attribute name="uri">
			<xsl:value-of select="@uri"/>
		</xsl:attribute>
		<xsl:variable name="uri">
     		<xsl:value-of select="@uri"/>
		</xsl:variable> 	
		<name>
			<xsl:value-of select="name"/>
		</name>
		<state>
			<xsl:value-of select="deployState"/>
		</state>
		<!-- Make the @id attribute a field <imageId>
		<xsl:variable name="virtualApplianceId">
     		<xsl:value-of select="@id"/>
		</xsl:variable> 
 		-->
		<virtualApplianceId>
			<xsl:value-of select="vaOid"/>
		</virtualApplianceId>	
		<target>
			<uri>
				<xsl:value-of select="targetUrl"/><xsl:value-of select="targetOid"/>
			</uri>
		</target>
		<xsl:if test="string(jobUrl)">
			<status>
				<uri>
					<xsl:value-of select="jobUrl"/>
				</uri>
				<state>
					<xsl:value-of select="deployState"/>
				</state>
			</status>
		</xsl:if>
		<virtualServers>
			<xsl:for-each select="virtualServers/simpleVirtualServer">
				<xsl:sort order="ascending" select="oid"/>  
				<virtualServer>
					<name>
						<xsl:value-of select="name"/>
					</name>
					<id>
						<xsl:value-of select="oid"/>
					</id>
					<network>
						<hostname>
							<xsl:value-of select="hostname"/>
						</hostname>
						<ipaddress>
							<xsl:value-of select="ipAddress"/>
						</ipaddress>
						<macaddress>
							<xsl:value-of select="macAddress"/>
						</macaddress>
						<memory>
							<xsl:value-of select="memory"/>
						</memory>
						<numberOfCPUs>
							<xsl:value-of select="numberOfCPUs"/>
						</numberOfCPUs>
					</network>
				</virtualServer>
			</xsl:for-each>
		</virtualServers>
	</workload>
</xsl:template>

</xsl:stylesheet>